using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Data;
using HumanLikeBattleRobots.Logic;

namespace HumanLikeBattleRobots.Graphic
{
    class BoxSprite: Sprite
    {
        public BoxSprite(int stage)
            : base(stage)
        {
            relativeCenterPosition = new Vec2f(32, 32);
            drawTexture = GraphicResources.BoxTexture;
        }

        public override void Draw()
        {
            drawTexture.DrawRotAxis(this.DrawPosition - this.AxisPosition, this.angle, 1,
                this.DrawPosition);
        }
    }
}
